summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-12 23:33:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:40 +0200
commit5de67e74f5e69f8b272abb4f7266b9ed7bc1a450 (patch)
tree5924cd3b7a4b72bd0d81cfb257213ad1085534bf
parentc24f767dc2253fc6e84c79c1c37c4339b1447a2f (diff)
downloadslackbuilds-5de67e74f5e69f8b272abb4f7266b9ed7bc1a450.tar.gz
slackbuilds-5de67e74f5e69f8b272abb4f7266b9ed7bc1a450.tar.xz
system/lbzip2: Added to 12.2 repository
-rw-r--r--system/lbzip2/README2
-rw-r--r--system/lbzip2/lbzip2.SlackBuild57
-rw-r--r--system/lbzip2/lbzip2.info8
-rw-r--r--system/lbzip2/slack-desc19
4 files changed, 86 insertions, 0 deletions
diff --git a/system/lbzip2/README b/system/lbzip2/README
new file mode 100644
index 0000000000..64015f17e6
--- /dev/null
+++ b/system/lbzip2/README
@@ -0,0 +1,2 @@
+A multi-threaded bzip2/bunzip2 filter that doesn't depend on the lseek()
+system call and so isn't restricted to regular files.
diff --git a/system/lbzip2/lbzip2.SlackBuild b/system/lbzip2/lbzip2.SlackBuild
new file mode 100644
index 0000000000..189c09c398
--- /dev/null
+++ b/system/lbzip2/lbzip2.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for lbzip2
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=lbzip2
+VERSION=0.14
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Swap in our CFLAGS
+sed -i "s/-O3/$SLKCFLAGS/" Makefile
+
+# Build
+make
+
+# Manual install
+install -D -s lbzip2 $PKG/usr/bin/lbzip2
+install -D lbzip2.1 $PKG/usr/man/man1/lbzip2.1
+gzip -9 $PKG/usr/man/man1/lbzip2.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog GPL-2.0 GPL-3.0 README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/lbzip2/lbzip2.info b/system/lbzip2/lbzip2.info
new file mode 100644
index 0000000000..2be58711fb
--- /dev/null
+++ b/system/lbzip2/lbzip2.info
@@ -0,0 +1,8 @@
+PRGNAM="lbzip2"
+VERSION="0.14"
+HOMEPAGE="http://phptest11.atw.hu/"
+DOWNLOAD="http://slackbuilds.org/sources/12.2/lbzip2-0.14.tar.gz"
+MD5SUM="1c9049642cbaafb5d894ee17b002a321"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/system/lbzip2/slack-desc b/system/lbzip2/slack-desc
new file mode 100644
index 0000000000..7b060f4d85
--- /dev/null
+++ b/system/lbzip2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lbzip2: Lbzip2 (a Pthreads-based parallel bzip2/bunzip2)
+lbzip2:
+lbzip2: Lbzip2 is a Pthreads-based parallel bzip2/bunzip2 filter passable to
+lbzip2: GNU tar with the --use-compress-program option. It isn't restricted
+lbzip2: to regular files on input, nor output.
+lbzip2:
+lbzip2:
+lbzip2:
+lbzip2:
+lbzip2:
+lbzip2: